SFML - Simple and Fast Multimedia Library

SFML 2.6.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
sf::MemoryInputStream Class Reference
System module

Implementation of input stream based on a memory chunk. More...

`#include <SFML/System/MemoryInputStream.hpp>`

Inheritance diagram for sf::MemoryInputStream:

## Public Member Functions
| MemoryInputStream ()
| Default constructor.
void | open (const void *data, std::size_t sizeInBytes)
| Open the stream from its data.
virtual Int64 | read (void *data, Int64 size)
| Read data from the stream.
virtual Int64 | seek (Int64 position)
| Change the current reading position.
virtual Int64 | tell ()
| Get the current reading position in the stream.
virtual Int64 | getSize ()
| Return the size of the stream.

## Detailed Description

Implementation of input stream based on a memory chunk.

This class is a specialization of InputStream that reads from data in memory.

It wraps a memory chunk in the common InputStream interface and therefore allows to use generic classes or functions that accept such a stream, with content already loaded in memory.

In addition to the virtual functions inherited from InputStream, MemoryInputStream adds a function to specify the pointer and size of the data in memory.

SFML resource classes can usually be loaded directly from memory, so this class shouldn't be useful to you unless you create your own algorithms that operate on an InputStream.

Usage example:

void process(InputStream& stream);
MemoryInputStream stream;
stream.open(thePtr, theSize);
process(stream);
sf::InputStream
Abstract class for custom file input streams.
Definition InputStream.hpp:42
sf::MemoryInputStream
Implementation of input stream based on a memory chunk.
Definition MemoryInputStream.hpp:44
sf::MemoryInputStream::open
void open(const void *data, std::size_t sizeInBytes)
Open the stream from its data.

InputStream, FileInputStream

Definition at line 43 of file MemoryInputStream.hpp.

## Constructor & Destructor Documentation

## ◆ MemoryInputStream()

sf::MemoryInputStream::MemoryInputStream | ( |  | ) |

Default constructor.

## Member Function Documentation

## ◆ getSize()

virtual Int64 sf::MemoryInputStream::getSize | ( |  | ) |
| virtual

Return the size of the stream.

Returns
  The total number of bytes available in the stream, or -1 on error

Implements sf::InputStream.

## ◆ open()

void sf::MemoryInputStream::open | ( | const void * | data,
|  | std::size_t | sizeInBytes
| ) |  |

Open the stream from its data.

Parameters

  data | Pointer to the data in memory
  sizeInBytes | Size of the data, in bytes

## ◆ read()

virtual Int64 sf::MemoryInputStream::read | ( | void * | data,
|  | Int64 | size
| ) |  |
| virtual

Read data from the stream.

After reading, the stream's reading position must be advanced by the amount of bytes read.

Parameters

  data | Buffer where to copy the read data
  size | Desired number of bytes to read

Returns
  The number of bytes actually read, or -1 on error

Implements sf::InputStream.

## ◆ seek()

virtual Int64 sf::MemoryInputStream::seek | ( | Int64 | position | ) |
| virtual

Change the current reading position.

Parameters

  position | The position to seek to, from the beginning

Returns
  The position actually sought to, or -1 on error

Implements sf::InputStream.

## ◆ tell()

virtual Int64 sf::MemoryInputStream::tell | ( |  | ) |
| virtual

Get the current reading position in the stream.

Returns
  The current position, or -1 on error.

Implements sf::InputStream.

The documentation for this class was generated from the following file:

- MemoryInputStream.hpp